import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.Calendar;
import java.awt.Font;
import java.awt.Color;

/**
 * A clock. Displays the time.
 * 
 * @author Michael Berry (mjrb4)
 * @version 06/12/08
 */
public class Clock extends Actor
{
    
   public int counter;
    
    public Clock()
    {
        counter = 0;
    }


    /**
     * Execute repeatedly.
     */
    public void act() 
    {
        draw();
        counter++;
    }

    
    /**
     * Put a reasonable font on the image and draw it to the world.
     */
    private void draw()
    {
        GreenfootImage image = new GreenfootImage(200,200);
        Font font = image.getFont();
        font = font.deriveFont(new Float(30));
        font = font.deriveFont(Font.ITALIC);
        font = font.deriveFont(Font.BOLD);
        image.setFont(font);
        image.setColor(Color.BLUE);
        image.drawString(counter/100 + " seconds ", 25, 100);
        setImage(image);
    }
    


}
